DelUser

View as Markdown

Deletes the specified user(s).

Allowed roles: Owner, Admin, User manager.

Example request: Delete two users with ID 3 and 55.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

user_idlist of integersOptional

The user ID list separated by semicolons (;). Use the ‘all’ value to select all users. Required unless user_name is provided.

user_namelist of stringsOptional

The user name list separated by semicolons (;). Required unless user_id is provided.

application_idintegerOptional

Delete the specified users bound to the application ID. It is required if the user_name is specified

application_namestringOptional

Delete the specified users bound to the application name. Can be used instead of the application_id parameter

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully